var localPreview = false;
localPreview = document.location === top.location;

function initializeLocalPreview() {
	var ua = navigator.userAgent;
	var singleExpandableTemplate = false;
	EB = {
		_adConfig: {
			adId: 0,
			rnd: 0,
			uid: 0,
			//You only need to add the vars that the workspace script(s) may use, not vars that
			customJSVars: {
				//This will be a different list for each ad format, these are just example vars.
				//are needed only in the custom script.

				//It's only the list of vars that you need to set to stop getting errors when locally previewing
				mdExpandDuration: 1,
				mdCollapseDuration: 1,
				mdExpandEase: "easeIn",
				mdCollapseEase: "easeOut",
				mdAutoPanelName: "expandAuto",
				mdUserPanelName: "expandUser",
				mdPanelHeightDependency: "fixed",
				mdIsAutoExpand: false,
				mdHideScrollbarsOnExpand: true,
				mdEnableSDKDefaultCloseButton: false
			}
		},
		_sendMessage: function(type) {
			if (type == "singleExpandableTemplate") {
				singleExpandableTemplate = true;
			}
			return;
		},
		API: {
			browser: {
				webkit: ua.match(/webkit/i) !== null,
				firefox: ua.match(/firefox/i) !== null
			},
			os: {
				ios: ua.match(/ipod|iphone|ipad/i) !== null,
				android: ua.match(/android/i) !== null,
				windowphone: ua.match(/windows phone/i) !== null,
				mobile: ua.match(/ipod|iphone|ipad|android|windows phone/i) !== null,
				ver: ua.match(/os\s\d+/i) !== null ? parseInt(ua.match(/os\s\d+/i).toString().replace(/os\s/i, "")) : null
			},
			setStyle: function(obj, styles) {
				for (var style in styles) {
					if (!styles.hasOwnProperty(style)) continue;
					obj.style[style] = styles[style];
				}
			},
			getCustomVar: function(name) {
				return EB._adConfig.customJSVars[name];
			},
			Adaptor: {
				getViewPortMetrics: function() {
					return {
						Height: window.innerHeight,
						height: window.innerHeight,
						Width: window.innerWidth,
						width: window.innerWidth
					};
				}
			}
		},
		Comm: {
			setName: function(name) {
				return name;
			},
			isConnected: function(name) {
				return false;
			}
		},
		getSDKData: function() {
			return null;
		},
		expand: function(obj) {
			if (singleExpandableTemplate) {
				panelListener({
					action: "AnimationComplete",
					expanding: true
				});
			} else {
				top.location.replace("panels/" + obj.panelName + "/index.html");
			}
			return true;
		},
		collapse: function(obj) {
			if (document.location.toString().indexOf("panels/expand") !== -1) {
				top.location.replace("../../index.html");
			}
			return true;
		},
		userActionCounter: function() {
			return true;
		},
		clickthrough: function() {
            window.open("http://www.sizmek.com", "_blank");
        },
        getVisibilityData: function() {
            return {available:false};
        },
		setExpandProperties: function() {
			return true;
		}
	};
	EBG = {
		pm: {
			bind: function() {
				return true;
			}
		},
		px: function(n) {
			if (n.toString().match(/^\d$|^\d+$/) !== null) {
				return n + "px";
			}
			return n;
		},
		ActionType: {
			AUTO: function() {
				return "auto";
			},
			USER: function() {
				return "user";
			}
		},
		VideoModule: function(video) {
			return {
				_videoElement: video,
				playVideo: function() {
					this._videoElement.play();
				}
			};
		}
	};
	PANEL_HEIGHT_DEPENDENCY = {
		FIXED: "fixed"
	};
	var visibilityStyle = document.createElement("style");
	visibilityStyle.innerHTML = "html, body, div, video {visibility: visible !important;}";
	document.getElementsByTagName("head")[0].appendChild(visibilityStyle);
	dispatchCustomScriptEvent = function() {
		return true;
	};
	if (typeof creativeContainerReady === "function") {
		creativeContainerReady();
	}
	setTimeout(function() {
		if (typeof panelListener === "function") {
			panelListener({
				action: "AnimationComplete"
			});
		}
	}, 50);
}
